Package com.emc.documentum.rest.model

# Class VirtualDocumentSnapshot

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.PersistentObject
com.emc.documentum.rest.model.SysObject
com.emc.documentum.rest.model.VirtualDocumentSnapshot

All Implemented Interfaces:
  `com.emc.documentum.rest.conditional.Digestible`, `Linkable`

public class VirtualDocumentSnapshot extends SysObject
Model virtual document snapshot in the repository.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATTR_ASSEMBLED_FROM_ID`
  `static final String`
  `ATTR_FROZEN_ASSEMBLY_COUNT`
  `static final String`
  `ATTR_FROZEN_FLAG`
  `static final String`
  `ATTR_HAS_FROZEN_ASSEMBLY`
  `static final List<String>`
  `DEFAULT_FIELDS`
  `static final List<String>`
  `MANDATORY_FIELDS`

  ### Fields inherited from class com.emc.documentum.rest.model.SysObject

  `INTERNAL_FIELDS, OPTIONAL_FIELDS`

  ### Fields inherited from class com.emc.documentum.rest.model.PersistentObject

  `id, isLightweight, isMaterialized, isSnapshot, isVirtual, mandatoryAttributes, optionalAttributes, parentId, permissions, properties, reqDigest, type, typeDef, versionPolicy`

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VirtualDocumentSnapshot()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getMandatoryFields()`
  Get mandatory attribute names
  `String`
  `getVdRef()`
  `String`
  `getVdSnapshotRef()`
  `void`
  `setVdRef(String vdRef)`
  `void`
  `setVdSnapshotRef(String vdSnapshotRef)`

  ### Methods inherited from class com.emc.documentum.rest.model.SysObject

  `addDcWriteUrl, getBindingLabel, getDcWriteUrls, getHref, getInternalFields, getObjectAspects, getObjectLifecycle, getOptionalFields, getSharingParent, isDeepCopy, isIncludeBroken, isReplicateVdChildren, isRetainAcl, setBindingLabel, setDeepCopy, setHref, setIncludeBroken, setObjectAspects, setObjectLifecycle, setReplicateVdChildren, setRetainAcl, setSharingParent`

  ### Methods inherited from class com.emc.documentum.rest.model.PersistentObject

  `addAttribute, addMandatoryAttribute, addOptionalAttribute, calculatesDigest, convertDate, geOptionalAttribute, getAttributeByName, getAttributes, getId, getMandatoryAttribute, getParentId, getPermissions, getReqDigest, getType, getTypeDef, getVersionPolicy, hasAttribute, hasAttributeValue, hasOptionalAttribute, isLightweight, isMatchedWithReqDigest, isMaterialized, isSnapshot, isVirtualDocument, reInitAttributes, removeAttributeIfExisted, setId, setIsSnapshot, setIsVirtualDocument, setLightweight, setMaterialized, setParentId, setPermissions, setReqDigest, setType, setTypeDef, setVersionPolicy, toString`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ATTR_ASSEMBLED_FROM_ID

    public static final String ATTR_ASSEMBLED_FROM_ID
    See Also:
      - Constant Field Values

  - ### ATTR_FROZEN_ASSEMBLY_COUNT

    public static final String ATTR_FROZEN_ASSEMBLY_COUNT
    See Also:
      - Constant Field Values

  - ### ATTR_HAS_FROZEN_ASSEMBLY

    public static final String ATTR_HAS_FROZEN_ASSEMBLY
    See Also:
      - Constant Field Values

  - ### ATTR_FROZEN_FLAG

    public static final String ATTR_FROZEN_FLAG
    See Also:
      - Constant Field Values

  - ### MANDATORY_FIELDS

    public static final List<String> MANDATORY_FIELDS

  - ### DEFAULT_FIELDS

    public static final List<String> DEFAULT_FIELDS

- ## Constructor Details

  - ### VirtualDocumentSnapshot

    public VirtualDocumentSnapshot()

- ## Method Details

  - ### getVdSnapshotRef

    public String getVdSnapshotRef()

  - ### setVdSnapshotRef

    public void setVdSnapshotRef(String vdSnapshotRef)

  - ### getVdRef

    public String getVdRef()

  - ### setVdRef

    public void setVdRef(String vdRef)

  - ### getMandatoryFields

    public List<String> getMandatoryFields()
    Description copied from class: `PersistentObject`
    Get mandatory attribute names
    Overrides:
      `getMandatoryFields` in class `SysObject`
    Returns:
      mandatory fields